Bug 589447

Summary: F13 guest X performance when -vga std far slower than CentOS 5.4 guest.
Product: [Fedora] Fedora Reporter: Gilboa Davara <gilboad>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: amit.shah, berrange, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, loganjerry, markmc, paul, scottt.tw, tmraz, virt-maint, walkerrichardj
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 12:08:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg.conf configuration.
none
Xorg.0.log from Rawhide guest none

Description Gilboa Davara 2010-05-06 03:55:54 EDT
Created attachment 411863 [details]
Xorg.conf configuration.

F13/i686 guest running under a F12/x86_64 host.
X performance under F13 is around 1/10 of the performance of a CentOS 5.4 guest using the same xorg.conf configuration file.

Host: Fedora 12/x86_64.
Guest: Fedora 13/i686 (2GB, 2CPUs).
Hardware: 2 x Xeon L5530, 12GB, 9800GTX/512MB, nVidia proprietary driver.

qemu version:
$ rpm -qa | grep qemu
qemu-common-0.12.3-4.fc12.x86_64
qemu-system-mips-0.12.3-4.fc12.x86_64
qemu-launcher-1.7.4-7.fc12.noarch
qemu-img-0.12.3-4.fc12.x86_64
qemu-system-m68k-0.12.3-4.fc12.x86_64
qemu-kvm-0.12.3-4.fc12.x86_64
qemu-system-ppc-0.12.3-4.fc12.x86_64
qemu-system-sh4-0.12.3-4.fc12.x86_64
qemu-system-sparc-0.12.3-4.fc12.x86_64
qemu-system-cris-0.12.3-4.fc12.x86_64
qemu-system-arm-0.12.3-4.fc12.x86_64
qemu-system-x86-0.12.3-4.fc12.x86_64
gpxe-roms-qemu-0.9.9-1.20091018git.fc12.noarch
qemu-user-0.12.3-4.fc12.x86_64
qemu-0.12.3-4.fc12.x86_64

Guest command line:
qemu-kvm -cdrom /dev/sr0 -serial telnet::9006,server,nowait -soundhw es1370
-net nic,vlan=1,macaddr=00:E0:81:B0:FB:06,model=e1000 -net
tap,vlan=1,ifname=tap60 -net nic,vlan=2,macaddr=00:E0:81:B0:FB:16,model=e1000
-net tap,vlan=2,ifname=tap61-m2048 -name Fedora-i386-F13 -hda
/usr/drives/kvm/Fedora-i386/Fedora-i386-F13.img -smp2 -usb -usbdevice tablet
-vga std -vnc :6 -boot c

- Gilboa
Comment 1 Paul Howarth 2010-05-21 08:32:31 EDT
I have an F13 host running an F13 guest that exhibits this problem.

The same host running a Windows XP guest does not exhibit the problem.

There's an upstream discussion that may be related:
http://kerneltrap.org/mailarchive/linux-kvm/2010/4/28/6261509/thread
Comment 2 Gilboa Davara 2010-05-21 15:55:32 EDT
I doubt it.
The kerneltrap threads talks about regression between different versions of qemu.
I'm talking about performance regression between different versions of Linux running as guests.

Most likely this is a Fedora X.org issue, and not qemu issue. (If it was a qemu issue, I should have seen the same performance under CentOS and Fedora guests)

- Gilboa
Comment 3 Justin M. Forbes 2010-06-01 10:59:22 EDT
Indeed, the qemu issue seems to be SDL changes.  This guest is not using SDL, though I am curious why you chose -vga std instead of -vga cirrus.  Cirrus should be the default for F13 guests.
Do things speed up considerably when using -vga cirrus?
Comment 4 Paul Howarth 2010-06-01 11:09:26 EDT
Performance is much better with -vga cirrus but that doesn't offer resolutions like 1440x900 that I would very much like to use.
Comment 5 Gilboa Davara 2010-06-03 10:14:45 EDT
As above, vga std gives far wider selection of resolutions (Which I require).

- Gilboa
Comment 6 Jerry James 2010-06-03 14:34:05 EDT
Created attachment 419477 [details]
Xorg.0.log from Rawhide guest

Here's an Xorg.0.log from a similar attempt I made to use -vga std with a Rawhide guest.  It worked so well with a CentOS 5.5 guest that I got all excited. :-)

I also tried to use -std vga with a Ubuntu 10.04 guest.  It was very slow, too.  Its Xorg.0.log does not have the RandR failure or the "EQ overflowing" message that appear in the Rawhide log.

Probably unrelated, but I'd better mention it just in case: in every guest where I've tried -vga std so far (CentOS 5.5, Rawhide, and Ubuntu 10.04), there is a column about 10 pixels wide on the right hand side of the display that appears to contain mangled bits from other parts of the display.  I've done 1400x1050 in all 3, no other resolutions tried yet.
Comment 7 Tomas Mraz 2010-08-25 11:00:08 EDT
I see a similar regression in performance between F13 guest (slow) and RHEL6beta guest (fast) on F13 host even with the cirrus vga.
Comment 8 Bug Zapper 2011-06-02 10:25:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 12:08:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.